View Issue Details

IDProjectCategoryView StatusLast Update
0001882NoesisGUIC++ SDKpublic2021-02-03 13:57
ReporterasusralisAssigned Tojsantos 
PrioritynormalSeveritycrashReproducibilityunable to reproduce
Status resolvedResolutionfixed 
Product Version3.0.6 
Target Version3.0.10Fixed in Version3.0.10 
Summary0001882: Crash when idling in scene mode while playing game.
DescriptionI was finding a bug unrelated to Noesis by using the scene view in Unity while the game was playing. I tabbed out of Unity for a few minutes while the game was running when Unity crashed. This hasn't happened before.
TagsNo tags attached.
PlatformAny

Activities

sfernandez

sfernandez

2021-01-18 17:14

manager   ~0006955

The callstack of the crash points to an effect rendering, could you help here @jsantos?

 	[Inline Frame] Noesis.dll!Noesis::BaseVector<float>::UninitializedMove Line 856	C++
     [Inline Frame] Noesis.dll!Noesis::BaseVector<float>::PushBack Line 518	C++
     Noesis.dll!Noesis::VGLContext::DrawDropShadowV Line 945	C++
     Noesis.dll!Noesis::RenderTreeHelper::RenderOffscreenNodes Line 666	C++
     Noesis.dll!Noesis::RenderTree::RenderOffscreen Line 277	C++
>	Noesis.dll!Noesis::Renderer::RenderOffscreen Line 171	C++
     Noesis.dll!Noesis::Renderer::RenderOffscreen Line 149	C++
     Noesis.dll!Noesis_GetRenderOffscreenCallback::__l2::<lambda> Line 420	C++
     Unity.exe!GfxDeviceWorker::RunCommand	Unknown
     Unity.exe!GfxDeviceWorker::RunExt	Unknown
     Unity.exe!GfxDeviceWorker::RunGfxDeviceWorker	Unknown
     Unity.exe!Thread::RunThreadWrapper	Unknown
     kernel32.dll!BaseThreadInitThunk	Unknown
     ntdll.dll!RtlUserThreadStart	Unknown

Issue History

Date Modified Username Field Change
2021-01-13 23:23 asusralis New Issue
2021-01-13 23:23 asusralis File Added: Crash_2021-01-13_221952499.rar
2021-01-14 16:31 jsantos Assigned To => sfernandez
2021-01-14 16:31 jsantos Status new => assigned
2021-01-14 16:31 jsantos Target Version => 3.0.10
2021-01-18 17:14 sfernandez Note Added: 0006955
2021-02-03 13:15 sfernandez Assigned To sfernandez => jsantos
2021-02-03 13:57 jsantos Status assigned => resolved
2021-02-03 13:57 jsantos Resolution open => fixed
2021-02-03 13:57 jsantos Fixed in Version => 3.0.10
2021-02-03 13:57 jsantos File Deleted: Crash_2021-01-13_221952499.rar